Subject: bug#38497: 27.0.50; Frame is not rendered when frame-resize-pixelwise it 't

From: martin rudalics <[email-masked]>
Date: Sun, 15 Dec 2019 18:42:39 +0100

>> You say yours is a tiling window manager: What happens when you manage
 >> to remove all windows but the Emacs window from display?  This should
 >> implicitly maximise the frame.  Does it redraw then?
 >
 > If I do this, there is a gap below the emacs frame.

With 'frame-resize-pixelwise' non-nil?

 > Invoking M-x menu-bar-mode resizes the frame to actual maximised state
 > without the gap and the redrawing works.

Why should removing the menu bar maximize the frame?  If anything, I'd
expect the opposite.

 > However, the very bottom part
 > of the frame (that's where by title bar is located) is not being
 > redrawn. It's like all the frame canvas before resizing is shifted up as
 > much as the height of the menu-bar was without redrawing whatever was
 > below that size (see the attached).

The title bar there looks normal to me, not doubled.  And how would
you know in the first place that the title bar was not redrawn?

 >> And what happens when you remove the entire
 >>
 >>     XtVaSetValues (wmshell,
 >> 		 XtNbaseWidth, (XtArgVal) base_width,
 >> 		 XtNbaseHeight, (XtArgVal) base_height,
 >> 		 XtNwidthInc, (XtArgVal) (frame_resize_pixelwise ? 1 : cw),
 >> 		 XtNheightInc, (XtArgVal) (frame_resize_pixelwise ? 1 : ch),
 >> 		 XtNminWidth, (XtArgVal) base_width,
 >> 		 XtNminHeight, (XtArgVal) base_height,
 >> 		 NULL);
 >>
 >> call?
 >
 > When I remove the call, there is still no redrawing. Moreover, without
 > maximising the frame, when emacs frame is a single frame in a tile
 > layout, the frame occupies all the space as if frame-resize-pixelwise
 > was nil

This must be a misunderstanding.  Among others, it's one purpose of
'frame-resize-pixelwise' _non-nil_ to make the frame occupy all the
space.

 > and M-x menu-bar-mode results in no redrawing.

martin